Bug 998628 - Receiver created on local transacted session removes messages from queue without commit
Receiver created on local transacted session removes messages from queue with...
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
2.3
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Ted Ross
Messaging QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 11:53 EDT by Valiantsina Hubeika
Modified: 2015-01-04 17:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Valiantsina Hubeika 2013-08-19 11:53:43 EDT
Description of problem:

When Receiver is created on a transacted session, it removes messages from queue without issuing commit.


Version-Release number of selected component (if applicable):
qpid-jca-0.18-8.el6.noarch
qpid-cpp-server-0.18-14.el6.i686

How reproducible:
random

Steps to Reproduce:
1. Create transacted session
2. create message receiver
3. in a loop read messages from queue without issuing commit

Actual results:
at some point messages are removed from queue

Expected results:
no messages are removed from queue

Additional info:
Comment 4 Valiantsina Hubeika 2013-08-21 09:00:22 EDT
This issue is found only in case of Local transactions.
Comment 5 Michal Toth 2013-09-03 05:26:27 EDT
Same behaviour observed during testing on EAP5.
Comment 6 Valiantsina Hubeika 2014-01-29 07:56:18 EST
not a blocker to Vienna release, anylonger.

Note You need to log in before you can comment on or make changes to this bug.